{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
      "identifier": "recipes_d5497213"
    },
    "tags": [
      "crafting_table"
    ],
    "pattern": [
      " A ",
      " BA",
      "B  "
    ],
    "key": {
      "A": {
        "item": "minecraft:string",
        "data": 0
      },
      "B": {
        "item": "minecraft:paper",
        "data": 0
      }
    },
    "result": {
      "item": "minecraft:name_tag",
      "count": 1,
      "data": 0
    }
  }
}